<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.mostraPartida.title']}" />
	</ui:define>

	<ui:define name="principal">
		<p:link outcome="mostraRodadaGrupoFase.xhtml" value="#{msg['pages.mostraRodadaGrupoFase.back']}"/>
		<h1><p:outputLabel value="#{msg['pages.mostraPartida.title']}"/></h1>
		<h:form id="mostraPartida">
			
		  <p:dataTable var="aux"
					 value="#{partidaManagedBeans.rodadaSelecionada.partidas}"
					 id="tabelaPartida"
					 editable="true" paginator="true"
					 rows="5"
					 paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                	 rowsPerPageTemplate="5,10,15">
                	 
            <p:ajax event="rowEdit" listener="#{partidaManagedBeans.onRowEdit}"
            update="tabelaPartida"/>
					 
			<p:column filterBy="#{aux.numero}" headerText="#{msg['pages.cadastraPartida.numero']}">
				<p:outputLabel value="#{aux.numero}"/>
			</p:column>
			
			<p:column filterBy="#{aux.equipeMandante.equipe}" headerText="#{msg['pages.cadastraPartida.equipeMandante']}">
				<p:outputLabel value="#{aux.equipeMandante.equipe}" />
			</p:column>
			
			<p:column filterBy="#{aux.equipeVisitante.equipe}" headerText="#{msg['pages.cadastraPartida.equipeVisitante']}">
				<p:outputLabel value="#{aux.equipeVisitante.equipe}" />
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraPartida.data']}">
				<p:cellEditor>
					<f:facet name="output">
						<p:outputLabel value="#{aux.numero}">
							<f:convertDateTime pattern="MM/dd/yyyy"/>
						</p:outputLabel>
					</f:facet>
					<f:facet name="input">
						<p:inputText value="#{aux.numero}">
							<f:convertDateTime pattern="MM/dd/yyyy"/>
						</p:inputText>
					</f:facet>
				</p:cellEditor>
			</p:column>
			
			<p:column filterBy="#{aux.local.endereco}" headerText="#{msg['pages.cadastraPartida.local']}">
				<p:outputLabel value="#{aux.local.endereco}" />
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraPartida.grupo']}">
				<p:outputLabel value="#{rodadaManagedBeans.rodadaSelecionada.grupo.nome}" />
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraPartida.relatoJuiz']}">
				<p:outputLabel value="#{aux.relatoJuiz}" />
			</p:column>
			
			<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{partidaManagedBeans.remover(aux)}"
						update="tabelaPartida" />
	  		</p:column>
		  </p:dataTable>
		</h:form>
	</ui:define>
</ui:composition>